import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeaderStart {
    render() {
        return (h("div", { class: "logo d-flex justify-content-start", style: { backgroundImage: "url(" + this.logo + ")" }, onClick: () => {
                this.clickOnHeader.emit(this.logo);
            } }));
    }
    static get is() { return "s-abdullakh-header-start"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-header-start.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-header-start.css"]
    }; }
    static get properties() { return {
        "logo": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 url logo"
            },
            "attribute": "logo",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442y HeaderStart \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 header"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
