import { Component, Event, h, Prop } from '@stencil/core';
import { markdown } from "markdown";
export class SAbdullakhProductPresentationTitle {
    render() {
        return (h("div", { class: "presentationTitleBlock" },
            h("div", { class: "presentationTitleInBlock" },
                h("div", { class: "presentationTitle animate__animated animate__bounceInLeft animate__delay-700ms", innerHTML: markdown.toHTML(this.arr.text), onClick: () => this.clickOnProductPresentation.emit(this.arr.text) },
                    h("div", { class: "presentationTitleUnderlineBlock" },
                        h("div", { class: "presentationTitleUnderline", style: { backgroundImage: "url(" + this.arr.imgUrl + ")" }, onClick: () => this.clickOnProductPresentation.emit(this.arr.imgUr) }))),
                h("div", { class: "d-lg-none d-block" },
                    h("s-abdullakh-product-presentation-img", { img: this.img })),
                h("div", { class: "presentationTitlePrice animate__animated animate__bounceInLeft animate__delay-400ms", onClick: () => this.clickOnProductPresentation.emit(this.arr.price) },
                    this.arr.behindText,
                    h("span", null,
                        " ",
                        this.arr.price)),
                h("div", { class: "presentationBtnBlock animate__animated animate__bounceInUp animate__delay-1.2s" },
                    h("button", { class: "presentationBtn", onClick: () => {
                            this.clickOnProductPresentation.emit(this.arr.btnText);
                            this.openForm.emit();
                        } }, this.arr.btnText)))));
    }
    static get is() { return "s-abdullakh-product-presentation-title"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation-title.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation-title.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 ProductPresentationTitle"
            },
            "attribute": "arr",
            "reflect": false
        },
        "img": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 ProductPresentationTitle"
            },
            "attribute": "img",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductPresentation \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductPresentationTitle"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
