import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhConsultation {
    render() {
        return (h("section", { class: "Consultation" },
            h("div", { class: "container" },
                h("div", { class: "row" },
                    h("div", { class: "col-lg-6 col-12" },
                        h("div", { class: "Consultation_img", style: { backgroundImage: "url(" + this.Consultation.imgUrl + ")" }, onClick: () => this.clickOnConsultation.emit(this.Consultation.imgUrl) })),
                    h("div", { class: "col-lg-6 col-12 mt-5 pt-5" },
                        h("div", { class: "Consultation_advertising_link_block" },
                            h("div", { class: "Consultation_title_block" },
                                h("div", { class: "Consultatio_title", onClick: () => this.clickOnConsultation.emit(this.Consultation.title) }, this.Consultation.title)),
                            h("div", { class: "Consultation_text", innerHTML: this.Consultation.text, onClick: () => this.clickOnConsultation.emit(this.Consultation.text) }),
                            h("div", { class: "Consultation_btn_block" },
                                h("button", { class: "Consultation_btn", onClick: () => {
                                        this.clickOnConsultation.emit(this.Consultation.btnText);
                                        this.openForm.emit();
                                    } }, this.Consultation.btnText))))))));
    }
    static get is() { return "s-abdullakh-consultation"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-consultation.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-consultation.css"]
    }; }
    static get properties() { return {
        "Consultation": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhConsultation",
                "resolved": "SSAbdullakhConsultation",
                "references": {
                    "SSAbdullakhConsultation": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0434\u0430\u043D\u043D\u044B\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Consultation"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnConsultation",
            "name": "clickOnConsultation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 Consultation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
