import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeaderCenter {
    render() {
        return (h("div", { class: "navbar_item", onClick: () => {
                this.clickOnHeader.emit(this.arr.linkName);
            } },
            h("a", { href: hrefBlock(this.arr.linkName) }, this.arr.linkName),
            h("div", { class: "menu_line", style: { backgroundImage: "url(https://static.tildacdn.com/tild6635-3830-4663-b066-353665666462/line2.svg)" } })));
    }
    static get is() { return "s-abdullakh-header-center"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-header-center.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-header-center.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "AbdullakhHeaderCenter",
                "resolved": "AbdullakhHeaderCenter",
                "references": {
                    "AbdullakhHeaderCenter": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043E\u0431\u044A\u0435\u043A\u0442 \u0441 \u0434\u0430\u043D\u043D\u044B\u043C\u0438 \u0438 \u0434\u043B\u044F \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043C\u0435\u043D\u044E"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0443 HeaderCenter (\u043C\u0435\u043D\u044E) \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 header"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
function hrefBlock(x) {
    switch (x) {
        case 'Возможности':
            return '#productInformation';
        case 'Преимущества':
            return '#benefitsBots';
        case 'Для кого':
            return '#performanceInformation';
    }
}
