import { Component, Event, h, Prop } from '@stencil/core';
// import {AbdullakhHeaderEnd} from "./interface/common.interface";
export class SAbdullakhHeaderEnd {
    render() {
        return (h("div", { class: "phone_number", onClick: () => {
                this.clickOnHeader.emit(this.phoneNumber);
            } },
            h("a", { href: "tel:79956068462" }, this.phoneNumber)));
    }
    static get is() { return "s-abdullakh-header-end"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-header-end.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-header-end.css"]
    }; }
    static get properties() { return {
        "phoneNumber": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "number"
            },
            "attribute": "phone-number",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442y HeaderEnd \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 header"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
