import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhPerformanceInformation {
    render() {
        return (h("section", { class: "PerformanceInformation", id: "performanceInformation" },
            h("div", { class: 'container' },
                h("div", { class: "PerformanceInformationTitleBlock" },
                    h("div", { class: "PerformanceInformationTitle", onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation.title) }, this.PerformanceInformation.title)),
                h("div", { class: "PerformanceInformationContentBlock" },
                    h("div", { class: "PerformanceInformationContent" },
                        h("div", { class: "PerformanceInformationContentStart" },
                            h("s-abdullakh-performance-information-list", { PerformanceInformation: this.PerformanceInformation.right, endText: this.PerformanceInformation.ContentRightEndText }),
                            h("div", { class: "PerformanceInformationContentCenter visibilityProductInfo_start", style: { backgroundImage: "url(" + this.PerformanceInformation.imgUrl + ")" }, onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation.imgUrl) })),
                        h("div", { class: "PerformanceInformationContentCenter visibilityProductInfo_center", style: { backgroundImage: "url(" + this.PerformanceInformation.imgUrl + ")" }, onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation.imgUrl) }),
                        h("div", { class: "PerformanceInformationContentEnd" },
                            h("div", { class: "PerformanceInformationContentCenter  visibilityProductInfo_end", style: { backgroundImage: "url(" + this.PerformanceInformation.imgUrl + ")" }, onClick: () => this.clickOnPerformanceInformation.emit(this.PerformanceInformation.imgUrl) }),
                            h("s-abdullakh-performance-information-list", { PerformanceInformation: this.PerformanceInformation.left, endText: this.PerformanceInformation.ContentLeftEndText }))),
                    h("div", { class: "PerformanceInformationBtnBlock" },
                        h("button", { class: "PerformanceInformationBtn", onClick: () => {
                                this.clickOnPerformanceInformation.emit(this.PerformanceInformation.btnText);
                                this.openForm.emit();
                            } },
                            h("a", null, this.PerformanceInformation.btnText)))))));
    }
    static get is() { return "s-abdullakh-performance-information"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-performance-information.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-performance-information.css"]
    }; }
    static get properties() { return {
        "PerformanceInformation": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhPerformanceInformation",
                "resolved": "SSAbdullakhPerformanceInformation",
                "references": {
                    "SSAbdullakhPerformanceInformation": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 PerformanceInformation"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnPerformanceInformation",
            "name": "clickOnPerformanceInformation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 PerformanceInformation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "openForm",
            "name": "openForm",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u0412\u044B\u0437\u043E\u0432 \u043C\u043E\u0434\u0430\u043B\u044C\u043D\u043E\u0433\u043E \u043E\u043A\u043D\u0430 \u0444\u043E\u0440\u043C\u044B"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
