import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhTransitionCreateBotFollow {
    render() {
        return (h("div", { class: "transitionCreateBotTextBlock" },
            h("div", { class: "innerCreateBotTextBlock" },
                h("div", { class: "transitionCreateBotText", innerHTML: this.arr.text, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.text) }),
                h("div", { class: "transitionCreateBotBtnBlock" },
                    h("div", { class: "CreateBotBtnBlock-border" },
                        h("button", { class: "transitionCreateBotBtn", innerHTML: this.arr.btnText, onClick: () => this.clickOnTransitionCreateBot.emit(this.arr.btnText) }))))));
    }
    static get is() { return "s-abdullakh-transition-create-bot-follow"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-follow.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-transition-create-bot-follow.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u043F\u043E\u0434\u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBotFollow \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnTransitionCreateBot",
            "name": "clickOnTransitionCreateBot",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 TransitionCreateBot"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
